curl --request GET \
--url https://getunblocked.com/api/v1/collections \
--header 'Authorization: Bearer <token>'import requests
url = "https://getunblocked.com/api/v1/collections"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://getunblocked.com/api/v1/collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "Apollo",
"description": "Documents from the Apollo customer support tool including support responses.",
"iconUrl": "https://my.company.com/apollo/logo.svg"
}
]{
"status": 400
}{
"status": 400
}List Collections
List all collections.
Authorizations
The API key to authenticate requests. Obtainable from the web dashboard.
Query Parameters
Limit used to constrain results of list operations. When not specified a default limit of 25 is used.
A maximum limit is applied to the results, so the server may respond with fewer results than requested; clients must not use this as a signal that this is the final page of results.
1 <= x <= 200Opaque cursor to be used for paging in a forward or backward direction. Cursors are stateless and so they never expire.
1 - 10000Opaque cursor to be used for paging in a forward or backward direction. Cursors are stateless and so they never expire.
1 - 10000Response
OK
The ID of the collection.
A brief identifier for the collection.
"Apollo"
A sentence defining the document type within this collection, aiding the language model in grasping the content's essence.
"Documents from the Apollo customer support tool including support responses."
A URL of a square image used to visually represent document references from the collection in the Unblocked UI. Preferred image formats are SVG, PNG, and JPG.
"https://my.company.com/apollo/logo.svg"